<template>
  <div>
    <div class="rounded-[10px] border border-dashed border-[#4199D5] p-8 relative mb-3" :class="file ? 'bg-white' : 'bg-[#F8FBFE]'">
      <font-awesome-icon
        v-if="file"
        @click="removeFile"
        icon="circle-xmark"
        class="w-[18px] h-[18px] text-[#C8CFD5] mr-2 absolute top-6 right-6"
      />
      <div class="flex w-full justify-center">
        <div class="text-center">
          <img :src="file ? file.preview : UploadIcon" alt="icon" class="mb-2 mx-auto max-h-[150px]" />
          <div class="text-[13px] text-[#718C9E] mb-2 text-center" :class="file ? 'hidden' : ''">Unggah file Anda di sini</div>
          <button
            @click="triggerFileInput"
            type="button"
            class="w-[106px] text-center h-[38px] leading-[38px] text-[14px] text-[#4199D5] rounded-full border border-[#4199D5]"
          >
            {{ file ? 'Ubah File' : 'Unggah File'  }}
          </button>
          <input
            type="file"
            ref="fileInput"
            class="hidden"
            @change="handleFileChange"
          />
        </div>
      </div>
    </div>
    <div class="text-[13px] text-[#718C9E] mb-6">*Ukuran maksimum 10MB</div>
    <button
      @click="showSuccessModal"
      type="button"
      class="h-[46px] w-[214px] rounded-full text-center text-[16px]  mx-auto block"
      :class="file ? 'bg-[#93C854] text-white' : 'bg-[#E0E4E7] text-[#9AA6B0]'"
    >
      Simpan
    </button>
  </div>
</template>

<script>
import EventBus from '~/helpers/eventBus'

export default {
  name: 'FileUploadLarge',
  props: {
    title: {
      type: String
    },
    desc: {
      type: String
    },
    icon: {
      type: String
    }
  },
  data() {
    return {
      file: null,
      UploadIcon: require('@/assets/images/IconUpload.svg'),
    };
  },
  methods: {
    triggerFileInput() {
      this.$refs.fileInput.click();
    },
    handleFileChange(event) {
      const selectedFile = event.target.files[0];
      if (selectedFile) {
        selectedFile.preview = URL.createObjectURL(selectedFile);
        this.file = selectedFile;
      }
    },
    removeFile() {
      URL.revokeObjectURL(this.file.preview);
      this.file = null;
    },
    showSuccessModal() {
      EventBus.$emit('show-success-modal');
    },
  },
};
</script>
